
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #845

3.10 -- am I missing something?

November 22, 2018 17:23 - Davyd McColl

Status: Rejected Start date: November 22, 2018

Priority: Blocker Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.10   

Description

Ok, so had an update to 3.10 the other day, running Gentoo.

Now I notice that pressing "j" with Audacious opened does nothing. Also `audacious -j` does nothing. Where's the "jump to file"

dialog? This is an integral reason for using Audacious on a playlist of 30k files.

Also, I see no module for global hotkeys any more -- so this release seems to be a huge NO to any keyboard-driven interfacing.

I have to assume that I'm missing something. I can't believe that (a) jump has been removed (though --help still mentions it) and

global hotkeys are now just "not there any more". I must be doing something wrong. Please help.

Trying to interact with a playlist of 30k files without "jump to file" is simply ludicrous.

btw, I use the "winamp" interface, because it takes up less screen real-estate.

Also, I see "View -> Always on top" is gone too. WAT? I must be doing something seriously wrong. Audacious on Gentoo only has

one USE flag: `nls`, which I have disabled.

History

#1 - November 22, 2018 22:51 - Thomas Lange

Are you using the Qt version? This would explain it, since it does not have all features of the GTK version yet.

#2 - November 23, 2018 22:29 - Mick Mack

Hi there, chiming in.

Using Gentoo, too and noticed that the previously standard gtk surface is gone and replaced by a QT version, quite irritating. A GTK version is also

not selectable, only old-style winamp or QT. Is this a wanted change of scope by the audacious devs or just a packaging mistake of the Gentoo

maintainers?

Thank you for your work all those years.

#3 - November 23, 2018 22:44 - Mick Mack

Looked a bit deeper and indeed in Gentoo, audacious is now compiled with --disable-gtk. Is GTK in any way depreciated with audacious now?

#4 - November 23, 2018 22:50 - Mick Mack

Meh. Release notes of 3.10:

GTK+ 3 is no longer supported.

Now that's a pity.

#5 - November 24, 2018 12:43 - Thomas Lange

GTK+3 is no longer officially supported, (you can still build from the gtk3 git branch though)

but Qt is also not the official toolkit yet (because of the mentioned pending feature parity).

July 15, 2025 1/2



So the recommended option is to leave GTK+ support enabled (the default) and use version 2.

#6 - November 27, 2018 20:34 - John Lindgren

- Status changed from New to Rejected

Please ask Gentoo not to set --disable-gtk by default.  Upstream Audacious will default to Qt when the Qt version is ready, but it's not yet.

Closing.  Feel free to open individual feature requests for features that still need to be ported to Qt.

#7 - November 28, 2018 03:24 - Davyd McColl

Switching from gtk3 to gtk+ did the trick. Unless the Qt version is planning to replace the winamp-style skins functionality, I'm not too bothered about

when it comes. I specifically use Audacious for the smaller, familiar interface -- otherwise I could have used any of the large players (amarok,

rhythmbox, etc), some of which are installed by default on less "your machine is yours" distros.
